## org.opengis.geometry.primitive
Interface Shell

All Superinterfaces:
  Complex, Composite, CompositeSurface, Geometry, OrientablePrimitive, OrientableSurface, Primitive, TransfiniteSet

    @UML(identifier="GM_Shell",
         specification=ISO_19107)
    public interface Shell

extends CompositeSurface

Represents a single connected component of a solid boundary. A shell consists of a number of references to orientable surfaces connected in a topological cycle (an object whose boundary is empty). Unlike a ring, a `Shell`'s elements have no natural sort order. Like rings, `Shell`s are simple.

Since:
  GeoAPI 1.0
Version:
  ISO 19107
See Also:
  `SolidBoundary`, `Ring`

Method Summary
`boolean` `isSimple()` Always returns `true` since shell objects are simples.

Methods inherited from interface Composite
`getGenerators`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface OrientablePrimitive
`getOrientation, getPrimitive`

Methods inherited from interface Primitive
`getComplexes, getComposite, getContainedPrimitives, getContainingPrimitives, getProxy`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### isSimple

    boolean isSimple()

  Always returns `true` since shell objects are simples.

  Specified by:
    `isSimple` in interface `Geometry`
  Returns:
    Always `true`.
  See Also:
    `Geometry.isCycle()`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.